package ignitecmd

import (
	"github.com/spf13/cobra"

	"git.cw.tr/mukan-network/mukan-ignite/docs"
	"git.cw.tr/mukan-network/mukan-ignite/ignite/pkg/localfs"
	"git.cw.tr/mukan-network/mukan-ignite/ignite/pkg/markdownviewer"
)

func NewDocs() *cobra.Command {
	c := &cobra.Command{
		Use:   "docs",
		Short: "Show Ignite CLI docs",
		Args:  cobra.NoArgs,
		RunE:  docsHandler,
	}
	return c
}

func docsHandler(*cobra.Command, []string) error {
	path, cleanup, err := localfs.SaveTemp(docs.Docs)
	if err != nil {
		return err
	}
	defer cleanup()

	return markdownviewer.View(path)
}
